/*
 * Licensed Materials - Property of IBM 
 * 5724-I66
 * (C) Copyright IBM Corporation 2005, 2012 - All Rights Reserved. 
 * Note to U.S. Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */
package com.ibm.wbit.rel.lookup;

import com.ibm.wbiserver.rel.RelationshipService;
import com.ibm.wbiserver.relationshipservice.exceptions.RelationshipServiceException;
import com.ibm.wbiserver.relationshipservice.exceptions.RelationshipUserException;
import com.ibm.websphere.sca.ServiceManager;

/**
 *  This class is used by XSLT primitives in mediation flow components at runtime.
 *  
 *  It allows an XSLT primitive to make a call to the WebSphere Process server
 *  or WebSphere Enterprise Service Bus relationship service.
 *   
 *  Note: Do not modify the contents of this file as this file can be overridden.
 */
public class XSLTToRelationshipService
{
	public static final String copyright = "Licensed Material - Property of IBM " + " 5724-I66 " + "(C) Copyright IBM Corporation 2005, 2010 - All Rights Reserved. " + "Note to U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
	
	private static final String RELATIONSHIP_SERVICE = "com/ibm/wbiserver/rel/RelationshipService"; //$NON-NLS-1$
	
	private static final double VERSION = 6200.00;
	
	public static double version()
	{
		return VERSION;
	}
	
	private static RelationshipService getRelationshipService()
	{
		return (RelationshipService) ServiceManager.INSTANCE.locateService(RELATIONSHIP_SERVICE);
	}
	
	public static Object lookup(String relName, String inputRoleName, String input, String outputRoleName) throws RelationshipServiceException, RelationshipUserException
	{	
		return getRelationshipService().staticLookup(relName, inputRoleName, input, outputRoleName);
	}
}